# Namespace org.accordproject.product@0.2.0

## Overview
- 0 concepts
- 0 enumerations
- 1 assets
- 0 participants
- 0 transactions
- 0 events
- 1 total declarations

## Imports
- org.accordproject.value@0.2.0.QuantitativeValue
- org.accordproject.address@0.2.0.PostalAddress
- org.accordproject.organization@0.2.0.Organization
- concerto@1.0.0.Concept
- concerto@1.0.0.Asset
- concerto@1.0.0.Transaction
- concerto@1.0.0.Participant
- concerto@1.0.0.Event

## Diagram
```mermaid
classDiagram
class `org.accordproject.product@0.2.0.Product` {
<< asset>>
   + `String` `identifier`
`org.accordproject.product@0.2.0.Product` "1" o-- "1" `org.accordproject.organization@0.2.0.Organization` : Organization
   + `String` `category`
   + `String` `color`
   + `QuantitativeValue` `depth`
   + `String` `gtin12`
   + `String` `gtin13`
   + `String` `gtin14`
   + `String` `gtin8`
   + `QuantitativeValue` `height`
}

`org.accordproject.product@0.2.0.Product` "1" o-- "1" `org.accordproject.organization@0.2.0.Organization` : Organization
`org.accordproject.product@0.2.0.Product` "1" *-- "1" `org.accordproject.value@0.2.0.QuantitativeValue`
`org.accordproject.product@0.2.0.Product` "1" *-- "1" `org.accordproject.value@0.2.0.QuantitativeValue`
```

# Namespace org.accordproject.value@0.2.0

## Overview
- 1 concepts
- 5 enumerations
- 0 assets
- 0 participants
- 0 transactions
- 0 events
- 6 total declarations

## Imports
- concerto@1.0.0.Concept
- concerto@1.0.0.Asset
- concerto@1.0.0.Transaction
- concerto@1.0.0.Participant
- concerto@1.0.0.Event

## Diagram
```mermaid
classDiagram
class `org.accordproject.value@0.2.0.QuantitativeValue` {
<< concept>>
   + `String` `unitCode`
   + `String` `unitText`
   + `Double` `value`
}

class `org.accordproject.value@0.2.0.UnitOfMass` {
<< enumeration>>
   + `GRAM`
   + `KG`
   + `TONNE`
}

class `org.accordproject.value@0.2.0.UnitOfLength` {
<< enumeration>>
   + `METER`
}

class `org.accordproject.value@0.2.0.UnitOfDensity` {
<< enumeration>>
   + `KG_PER_CUBIC_METER`
}

class `org.accordproject.value@0.2.0.UnitOfVolume` {
<< enumeration>>
   + `CUBIC_METER`
}

class `org.accordproject.value@0.2.0.UnitOfTemperature` {
<< enumeration>>
   + `KELVINS`
   + `CELSIUS`
   + `FAHRENHEIT`
}

```

# Namespace org.accordproject.address@0.2.0

## Overview
- 1 concepts
- 0 enumerations
- 0 assets
- 0 participants
- 0 transactions
- 0 events
- 1 total declarations

## Imports
- concerto@1.0.0.Concept
- concerto@1.0.0.Asset
- concerto@1.0.0.Transaction
- concerto@1.0.0.Participant
- concerto@1.0.0.Event

## Diagram
```mermaid
classDiagram
class `org.accordproject.address@0.2.0.PostalAddress` {
<< concept>>
   + `String` `streetAddress`
   + `String` `postalCode`
   + `String` `postOfficeBoxNumber`
   + `String` `addressRegion`
   + `String` `addressLocality`
   + `String` `addressCountry`
}

```

# Namespace org.accordproject.geo@0.2.0

## Overview
- 3 concepts
- 1 enumerations
- 0 assets
- 0 participants
- 0 transactions
- 0 events
- 4 total declarations

## Imports
- org.accordproject.address@0.2.0.PostalAddress
- concerto@1.0.0.Concept
- concerto@1.0.0.Asset
- concerto@1.0.0.Transaction
- concerto@1.0.0.Participant
- concerto@1.0.0.Event

## Diagram
```mermaid
classDiagram
class `org.accordproject.geo@0.2.0.GeoCoordinates` {
<< concept>>
   + `PostalAddress` `address`
   + `String` `addressCountry`
   + `Double` `elevation`
   + `Double` `latitude`
   + `Double` `longitude`
}

`org.accordproject.geo@0.2.0.GeoCoordinates` "1" *-- "1" `org.accordproject.address@0.2.0.PostalAddress`
class `org.accordproject.geo@0.2.0.Place` {
<< concept>>
   + `PostalAddress` `address`
   + `String` `branchCode`
   + `String` `faxNumber`
   + `GeoCoordinates` `geo`
   + `String` `globalLocationNumber`
   + `String` `mapUrl`
   + `String` `isicsV4`
   + `String` `telephone`
}

`org.accordproject.geo@0.2.0.Place` "1" *-- "1" `org.accordproject.address@0.2.0.PostalAddress`
`org.accordproject.geo@0.2.0.Place` "1" *-- "1" `org.accordproject.geo@0.2.0.GeoCoordinates`
class `org.accordproject.geo@0.2.0.Country` {
<< concept>>
   + `String` `name`
   + `CountryCodeISOAlpha2` `optional`
}

`org.accordproject.geo@0.2.0.Country` "1" *-- "1" `org.accordproject.geo@0.2.0.CountryCodeISOAlpha2`
class `org.accordproject.geo@0.2.0.CountryCodeISOAlpha2` {
<< enumeration>>
   + `AD`
   + `AE`
   + `AF`
   + `AG`
   + `AI`
   + `AL`
   + `AM`
   + `AO`
   + `AQ`
   + `AR`
   + `AS`
   + `AT`
   + `AU`
   + `AW`
   + `AX`
   + `AZ`
   + `BA`
   + `BB`
   + `BD`
   + `BE`
   + `BF`
   + `BG`
   + `BH`
   + `BI`
   + `BJ`
   + `BL`
   + `BM`
   + `BN`
   + `BO`
   + `BQ`
   + `BR`
   + `BS`
   + `BT`
   + `BV`
   + `BW`
   + `BY`
   + `BZ`
   + `CA`
   + `CC`
   + `CD`
   + `CF`
   + `CG`
   + `CH`
   + `CI`
   + `CK`
   + `CL`
   + `CM`
   + `CN`
   + `CO`
   + `CR`
   + `CU`
   + `CV`
   + `CW`
   + `CX`
   + `CY`
   + `CZ`
   + `DE`
   + `DJ`
   + `DK`
   + `DM`
   + `DO`
   + `DZ`
   + `EC`
   + `EE`
   + `EG`
   + `EH`
   + `ER`
   + `ES`
   + `ET`
   + `FI`
   + `FJ`
   + `FK`
   + `FM`
   + `FO`
   + `FR`
   + `GA`
   + `GB`
   + `GD`
   + `GE`
   + `GF`
   + `GG`
   + `GH`
   + `GI`
   + `GL`
   + `GM`
   + `GN`
   + `GP`
   + `GQ`
   + `GR`
   + `GS`
   + `GT`
   + `GU`
   + `GW`
   + `GY`
   + `HK`
   + `HM`
   + `HN`
   + `HR`
   + `HT`
   + `HU`
   + `ID`
   + `IE`
   + `IL`
   + `IM`
   + `IN`
   + `IO`
   + `IQ`
   + `IR`
   + `IS`
   + `IT`
   + `JE`
   + `JM`
   + `JO`
   + `JP`
   + `KE`
   + `KG`
   + `KH`
   + `KI`
   + `KM`
   + `KN`
   + `KP`
   + `KR`
   + `KW`
   + `KY`
   + `KZ`
   + `LA`
   + `LB`
   + `LC`
   + `LI`
   + `LK`
   + `LR`
   + `LS`
   + `LT`
   + `LU`
   + `LV`
   + `LY`
   + `MA`
   + `MC`
   + `MD`
   + `ME`
   + `MF`
   + `MG`
   + `MH`
   + `MK`
   + `ML`
   + `MM`
   + `MN`
   + `MO`
   + `MP`
   + `MQ`
   + `MR`
   + `MS`
   + `MT`
   + `MU`
   + `MV`
   + `MW`
   + `MX`
   + `MY`
   + `MZ`
   + `NA`
   + `NC`
   + `NE`
   + `NF`
   + `NG`
   + `NI`
   + `NL`
   + `NO`
   + `NP`
   + `NR`
   + `NU`
   + `NZ`
   + `OM`
   + `PA`
   + `PE`
   + `PF`
   + `PG`
   + `PH`
   + `PK`
   + `PL`
   + `PM`
   + `PN`
   + `PR`
   + `PS`
   + `PT`
   + `PW`
   + `PY`
   + `QA`
   + `RE`
   + `RO`
   + `RS`
   + `RU`
   + `RW`
   + `SA`
   + `SB`
   + `SC`
   + `SD`
   + `SE`
   + `SG`
   + `SH`
   + `SI`
   + `SJ`
   + `SK`
   + `SL`
   + `SM`
   + `SN`
   + `SO`
   + `SR`
   + `SS`
   + `ST`
   + `SV`
   + `SX`
   + `SY`
   + `SZ`
   + `TC`
   + `TD`
   + `TF`
   + `TG`
   + `TH`
   + `TJ`
   + `TK`
   + `TL`
   + `TM`
   + `TN`
   + `TO`
   + `TR`
   + `TT`
   + `TV`
   + `TW`
   + `TZ`
   + `UA`
   + `UG`
   + `UM`
   + `US`
   + `UY`
   + `UZ`
   + `VA`
   + `VC`
   + `VE`
   + `VG`
   + `VI`
   + `VN`
   + `VU`
   + `WF`
   + `WS`
   + `YE`
   + `YT`
   + `ZA`
   + `ZM`
   + `ZW`
}

```

# Namespace org.accordproject.organization@0.2.0

## Overview
- 0 concepts
- 0 enumerations
- 0 assets
- 1 participants
- 0 transactions
- 0 events
- 1 total declarations

## Imports
- org.accordproject.geo@0.2.0.Place
- concerto@1.0.0.Concept
- concerto@1.0.0.Asset
- concerto@1.0.0.Transaction
- concerto@1.0.0.Participant
- concerto@1.0.0.Event

## Diagram
```mermaid
classDiagram
class `org.accordproject.organization@0.2.0.Organization` {
<< participant>>
   + `String` `identifier`
   + `String` `name`
   + `String` `description`
   + `String` `duns`
   + `Place` `place`
}

`org.accordproject.organization@0.2.0.Organization` "1" *-- "1" `org.accordproject.geo@0.2.0.Place`
```

